﻿using System;
using System.Collections.Generic;
using System.Globalization;
using System.Windows;
using System.Windows.Documents;
using System.Windows.Media.Imaging;
using Microsoft.WindowsAPICodePack.Shell;

namespace Search
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        public MainWindow()
        {
            InitializeComponent();
        }

        private void button1_Click(object sender, RoutedEventArgs e)
        {
            SearchInLibraries(textBox1.Text);
        }

        private void SearchInLibraries(string searchtext)
        {
            SearchCondition searchCondition = 
                SearchConditionFactory.ParseStructuredQuery(searchtext);
            
            ShellSearchFolder searchFolder = 
                new ShellSearchFolder(
                    searchCondition,
                    (ShellContainer)KnownFolders.Libraries);

            try
            {
                listBox1.ItemsSource = searchFolder;
            }
            catch
            {
                searchFolder.Dispose();
                searchFolder = null;
            }
        }
    }
}
